Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.sql.rowset.spi
Class SyncFactoryException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.sql.SQLException
                  javax.sql.rowset.spi.SyncFactoryException

All Implemented Interfaces:
  Serializable

    public class SyncFactoryException

extends SQLException

Indicates an error with `SyncFactory` mechanism. A disconnected RowSet implementation cannot be used without a `SyncProvider` being successfully instantiated

See Also:
  `SyncFactory`, `SyncFactoryException`, Serialized Form

Constructor Summary
`SyncFactoryException()` Creates new `SyncFactoryException` without detail message.
`SyncFactoryException(String msg)` Constructs an `SyncFactoryException` with the specified detail message.

Method Summary

Methods inherited from class java.sql.SQLException
`getErrorCode, getNextException, getSQLState, setNextException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SyncFactoryException

    public SyncFactoryException()

  Creates new `SyncFactoryException` without detail message.

### SyncFactoryException

    public SyncFactoryException(String msg)

  Constructs an `SyncFactoryException` with the specified detail message.

  Parameters:
    `msg` - the detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.